.admin-header__nav {
    display: flex;
    flex-direction: column;
    background: #ffffff;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    width: 90%;
    max-width: 300px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, .24);
    transform: translateX(-102%);
    transition: transform .3s ease-in-out;
    overflow: auto;
}

.nav--open {
    transform: translateX(0);
}

.admin-header__nav a {
    border: none;  
    padding: 40px 10px 0;
    font-size: 18px; 
}

button.close, button.open {
    border: none;
    background: transparent;
    text-align: right;
    padding: 10px;
    outline: none;
    cursor: pointer;
}

button.close .material-icons, button.open .material-icons {
    font-size: 25px;
}

.header-left-container {
    display: flex;
    align-items: center;
}